OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_LabelMapHasher Class Reference

`#include <TDF_LabelMapHasher.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_Integer | HashCode (const TDF_Label &aLab, const Standard_Integer Upper)
| Returns a HasCode value for the Key <k> in the range 0..Upper. .
static Standard_Boolean | IsEqual (const TDF_Label &aLab1, const TDF_Label &aLab2)
| Returns True when the two keys are the same. Two same keys must have the same hashcode, the contrary is not necessary. .

## Member Function Documentation

Standard_Integer TDF_LabelMapHasher::HashCode | ( | const TDF_Label & | aLab,
|  | const Standard_Integer | Upper
| ) | `[inline, static]`

Standard_Boolean TDF_LabelMapHasher::IsEqual | ( | const TDF_Label & | aLab1,
|  | const TDF_Label & | aLab2
| ) | `[inline, static]`

void TDF_LabelMapHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelMapHasher::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelMapHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following files:

- TDF_LabelMapHasher.hxx
- TDF_LabelMapHasher.lxx